Name:          simplevalidation
# upstream is pretty bad about version numbering
# this is a guess based on the version of a separate api "release" jar
Version:        1.0
Release:        %mkrel 0.1.SNAPSHOT.5
Group:          Development/Java
Summary:        A library for adding user-interface input validation to Swing applications
License:        GPLv2 or CDDL
URL:            http://kenai.com/projects/simplevalidation
# svn export -r331 https://svn.kenai.com/svn/simplevalidation~src/trunk/ simplevalidation-1.0-SNAPSHOT
# tar cJf simplevalidation-1.0-SNAPSHOT-20121212.tar.xz simplevalidation-1.0-SNAPSHOT
Source0:        http://kenai.com/projects/simplevalidation/downloads/download/validation-src.zip

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel

BuildRequires:  ant
BuildRequires:  dos2unix

Requires:       java-headless

%description
This is a simple library for quickly adding validation code to Swing
user-interfaces. It handles validating user input when the user changes a
component's value, showing error messages and decorating components to
indicate which component is the source of the problem. It contains a large
number of built-in validators to handle most common situations, such as
validating numbers, email addresses, urls and so forth.

The primary goal is to make it easy to retrofit validation code on existing
UIs without needing to rewrite anything or add more than a few lines of code.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

find . -name '*.class' -delete
find . -name '*.jar' -delete

%pom_xpath_remove "pom:project/pom:profiles" maven

%build

cd ValidationAPI
%ant -Dplatforms.JDK_1.5.home=%{_jvmdir}/java jar javadoc

dos2unix dist/javadoc/package-list
dos2unix dist/javadoc/stylesheet.css

%install

mkdir -p %{buildroot}%{_javadir}
cp -a ValidationAPI/dist/ValidationAPI.jar %{buildroot}%{_javadir}/ValidationAPI.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-ValidationAPI.pom
%add_maven_depmap JPP-ValidationAPI.pom ValidationAPI.jar -a "com.kenai:ValidationAPI"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a ValidationAPI/dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc ValidationAPI/doc/overview.html
%doc ValidationAPI/doc/duckLogo.png
%{_javadir}/ValidationAPI.jar
%{_mavenpomdir}/*

%files javadoc
%{_javadocdir}/%{name}/


%changelog
* Mon Jan 12 2015 daviddavid <daviddavid> 1.0-0.1.SNAPSHOT.5.mga5
+ Revision: 810108
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.1.SNAPSHOT.4.mga5
+ Revision: 750459
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.1.SNAPSHOT.3.mga5
+ Revision: 689164
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.1.SNAPSHOT.2.mga4
+ Revision: 541288
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.0-0.1.SNAPSHOT.1.mga4
+ Revision: 495464
- New version

* Mon Jan 14 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 382055
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 30 2011 dmorgan <dmorgan> 0.4-1.mga2
+ Revision: 130796
- Fix to build with openjdk
- Clean spec file

  + gil <gil>
    - imported package simplevalidation

